From 36d0ac2a7d8cbeedc22bf584f630498bb1f92a94 Mon Sep 17 00:00:00 2001
From: Andrii Kolomoiets <andreyk.mad@gmail.com>
Date: Fri, 8 Nov 2019 15:08:13 +0200
Subject: [PATCH] * lisp/icomplete.el: put text property when text is not nil

* lisp/icomplete.el (icomplete-completions): Don't highlight the center
part of determ if determ is nil.

diff --git a/lisp/icomplete.el b/lisp/icomplete.el
index a7f9086d82..e71f8e58dd 100644
--- a/lisp/icomplete.el
+++ b/lisp/icomplete.el
@@ -673,8 +673,9 @@ icomplete-completions
 		    (mapconcat 'identity prospects icomplete-separator)
 		    (and limit (concat icomplete-separator ellipsis))
 		    "}")
-          (put-text-property 1 (1- (length determ))
-                             'face 'icomplete-first-match determ)
+          (when determ
+            (put-text-property 1 (1- (length determ))
+                               'face 'icomplete-first-match determ))
 	  (concat determ " [Matched]"))))))
 
 ;;; Iswitchb compatibility
-- 
2.15.1

